DSC09507.JPG=Miniature fire engine on display at the Great Dorset Steam Fair.
DSC09481.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09431.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. Austin A30 utility - unusual.
DSC09522.JPG=Replica "squatters camp" set up at the Great Dorset Steam Fair.
DSC09429.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. Nice Wolseley
DSC09497.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09460.JPG=Steam powered engines on display at the Great Dorset Steam Fair.
Sthtn02.JPG=An amazing number of visitor's parked cars and campers at the Great Dorset Steam Fair. (panorama)
DSC09424.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. c1950s
DSC09438.JPG=Motor cycles on display at the Great Dorset Steam Fair.
DSC09479.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
Sthtn06.JPG=Heavy Horse judging at the Great Dorset Steam Fair. (panorama)
DSC09485.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09459.JPG=Steam powered engines on display at the Great Dorset Steam Fair.
DSC09492.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair. This was three engines pulling a huge loader with a power transformer load. The load was 50 tonne and all up with the three engines; 135 tonne
DSC09469.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09496.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09473.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09488.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09493.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09428.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09474.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09423.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. This Zodiac was my "dream car" when I was about 17.
Sthtn01.JPG=An amazing number of visitor's parked cars and campers at the Great Dorset Steam Fair. (panorama)
Sthtn05.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair. (panorama)
DSC09517a.jpg=Heavy Horse judging at the Great Dorset Steam Fair. (panorama)
Sthtn04.jpg=Motor vehicles on display at the Great Dorset Steam Fair. British PO vehicles.
DSC09506.JPG="Gypsy" caravan and tow vehicle on display at the Great Dorset Steam Fair.
DSC09499.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09414.JPG=Fantasy Organ at the Great Dorset Steam Fair
DSC09478.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09525.JPG=Monster trucks at the Great Dorset Steam Fair.
DSC09512.JPG=Clever Lego models on display at the Great Dorset Steam Fair.
DSC09419.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09456a.jpg=Motor vehicles on display at the Great Dorset Steam Fair.
DSC09476.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09477.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09441.JPG=Motor vehicles on display at the Great Dorset Steam Fair.
DSC09470.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09511.JPG=Early fire engine on display at the Great Dorset Steam Fair.
DSC09434.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09486.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09510.JPG="Gypsy" caravans and tow vehicles on display at the Great Dorset Steam Fair.
DSC09467.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09529.JPG=Monster trucks at the Great Dorset Steam Fair.
DSC09422.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09439.JPG=Motor cycles on display at the Great Dorset Steam Fair.
DSC09472.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09432.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. Very old MG
Sthtn07.JPG=Heavy Horse and wagon judging at the Great Dorset Steam Fair. (panorama)
DSC09494.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
Sthtn03.JPG=Great Dorset Steam Fair.
DSC09495.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09418.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09505.JPG=Motor vehicles on display at the Great Dorset Steam Fair. All of these Scammels were owned by one family.
DSC09516.JPG="Gypsy" caravan on display at the Great Dorset Steam Fair.
DSC09425.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09503.JPG="Gypsy" caravan and tow vehicle on display at the Great Dorset Steam Fair.
DSC09416.JPG=Monster trucks at the Great Dorset Steam Fair. This one and the Grim Reaper were the same two trucks that we saw at Melton Mowbray in June.
DSC09480.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09443.JPG=Motor vehicles on display at the Great Dorset Steam Fair.
DSC09489.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09435.JPG=Motor cycles on display at the Great Dorset Steam Fair.
DSC09426.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. The caravan and it's E-type Jaguar tow car are both 1961 models.
DSC09524.JPG=Monster trucks at the Great Dorset Steam Fair.
DSC09500.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09475.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09420.JPG=Vintage car and caravan display at the Great Dorset Steam Fair.
DSC09417.JPG=Monster trucks at the Great Dorset Steam Fair.
DSC09427.JPG=Vintage car and caravan display at the Great Dorset Steam Fair. The caravan and it's E-type Jaguar tow car are both 1961 models.
DSC09468.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09436.JPG=Motor cycles on display at the Great Dorset Steam Fair.
DSC09515.JPG="Gypsy" caravan on display at the Great Dorset Steam Fair.
DSC09482.JPG=The grand parade of steam powered engines at the Great Dorset Steam Fair.
DSC09509.JPG=Early Commer motorhome on display at the Great Dorset Steam Fair.
